Package org.eclipse.net4j.util.om.log

## Interface OMLogHandler

- All Known Implementing Classes:
    `AbstractLogHandler`, `EclipseLoggingBridge`, `FileLogHandler`, `OSGiLoggingBridge`, `OSGiLogHandler`, `PrintLogHandler`

      public interface OMLogHandler

  Handles `filtered` log events, for example appends them to a `stream` or the Eclipse `error log`.
  Author:
    Eike Stepper
  See Also:
    `OMPlatform.addLogHandler(OMLogHandler)`, `OMPlatform.removeLogHandler(OMLogHandler)`, `EclipseLoggingBridge.INSTANCE`, `PrintLogHandler.CONSOLE`, `OSGiLoggingBridge.INSTANCE`, `FileLogHandler`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `logged​(OMLogger logger, OMLogger.Level level, java.lang.String msg, java.lang.Throwable t)` |

- - ### Method Detail

    - #### logged

          void logged​(OMLogger logger,
                      OMLogger.Level level,
                      java.lang.String msg,
                      java.lang.Throwable t)